/********************************************************************************************
	Hacienda > Detalle PMP							2025/01/30
*********************************************************************************************/
#pmp-detail .title h1 span a:hover::after {
	width: 240px;
}

#pmp-detail h2 abbr {
	text-decoration: none;
	border-bottom: none;
}

#pmp-detail .tab-pane {
	margin-top: -1px;
	position: absolute;
	width: calc(100% - 8px);
	display: block;
}
#pmp-detail .tab-pane.fade {
	transition: unset;
}

#pmp-detail .tab-pane:not(.show) {
	opacity: 0;
	z-index: -1;
	pointer-events: none;
}
#pmp-detail .tab-pane.show {
	opacity: 1;
	z-index: 1;
	pointer-events: auto;
}
#pmp-detail .tab-pane div[id^="collapseTable"] {
	padding: 0;
}
#pmp-detail .tab-pane div[id^="collapseTable"].collapsing {
	height: unset;
	overflow: unset;
	transition: unset;
}
#pmp-detail .tab-pane#entidad:not(.active) {
	display: block;
	opacity: 0;
}

#pmp-detail .selectores .filter-container {
	width: 450px;
}

#pmp-detail h3 {
	display: none;
}
#pmp-detail section .grafica {
	padding: 10px;
	height: 100%;
}

#pmp-detail .row.contenedor.evolucion {
	padding-bottom: 0;
}

#pmp-detail .row.contenedor.detalle {
	padding-top: 0;
}

#pmp-detail .datos h3 {
	display: block;
	margin: -30px 0 8px 0;
	font-size: 1.2rem;
}

#pmp-detail .datos {
	margin: 0 0 0.5vw 0;
	padding: 0;
	height: auto;
}

/* tabla */
#pmp-detail div[id^="collapseTable"].collapse.show .row.importe {
	opacity: 0.9;
	filter: grayscale(60%);
}
#pmp-detail div[id^="collapseTable"].collapse.show .row.contenedor {
	height: auto;
	max-height: unset;
}
#pmp-detail div[id^="collapseTable"].collapse:not(.show) .row.detalle {
	opacity: 1;
} 
#pmp-detail div[id^="collapseTable"].collapse.show .row.detalle {
	background-color: #fafafa;
}

#pmp-detail .datos .tabla {
	height: 100%;
	margin: 0;
	padding: 0;
}

#pmp-detail .datos .tabla .tabulator {
	top:0;
}

#pmp-detail .datos .tabla #tablePMP {
	overflow-y: auto;
}

#pmp-detail .datos .tabla .tabulator-headers .tabulator-col-content .tabulator-col-title-holder .tabulator-col-title {
	font-size: 86%;
	font-weight: 500;
}
#pmp-detail .datos .tabla .tabulator-headers .tabulator-col-content .tabulator-col-title-holder .tabulator-col-title {
	text-align: left!important;
}

#pmp-detail .datos .tabla div[tabulator-field="fecha_estado"],
#pmp-detail .datos .tabla div[tabulator-field="codigo_organico"],
#pmp-detail .datos .tabla div[tabulator-field="descripcion"] {
	font-family: 'Montserrat', 'Calibri', Arial, Helvetica, sans-serif;
	font-weight: 500;
}

/* max <992px
*********************************************************************************************/
@media only screen and (max-width: 992px) {
	.row.filtros .selectores #resetButton {
		margin-top: 18px;
	}
	
	@media only screen and (max-height: 899px) {
		.row.filtros .selectores #resetButton {
			margin-top: 10px;
		}
	}

	.funciones #maximizar {
		display: none;
	}
}

/* max <1270px
*********************************************************************************************/
@media only screen and (max-width: 1269px) {
	#pmp-detail .datos .tabla .tabulator-cell {
		font-size: 12px;
	}
}

/* +992px
*********************************************************************************************/

@media only screen and (min-width: 992px) and (max-width: 1269px) {
	#pmp-detail #nav-tab {
		margin-top: 35px;
	}
	
	#pmp-detail .row.contenedor.evolucion {
		padding-bottom: 0;
	}

	#pmp-detail .row.contenedor.evolucion,
	#pmp-detail .row.contenedor.evolucion section {
		margin-bottom: 0;
	}
}

@media only screen and (min-width: 992px) and (max-width: 1269px) and (max-height: 850px) {
	#pmp-detail #nav-tab {
		margin-top: 20px;
	}
	#pmp-detail .row.contenedor.evolucion {
		padding-bottom: 8px;
	}
}

@media only screen and (min-width: 992px){
	#pmp-detail .tab-pane {
		margin-top: 0;
	}
	#pmp-detail .row.evolucion {
		margin-top: -1px;
	}

	#pmp-detail .selectores > .filter,
	#pmp-detail .selectores .filter-container,
	#pmp-detail .funciones button {
		margin: 0 0 0 5px;
	}
	
	#pmp-detail {
		--cdma-pmpHeight: 79.8vh;
		--cdma-pmpHeight: calc(100vh - 160px);
		--cdma-pmpFiltrosHeight: 45px;
		--cdma-tableHeight: 232px;
		--cdma-pmpDatosHeight: calc(var(--cdma-tableHeight) + 40px);
		--cdma-pmpGraficaHeight: calc(var(--cdma-pmpHeight) - var(--cdma-pmpDatosHeight) - var(--cdma-pmpFiltrosHeight));
	}
	@media only screen and (max-height: 899px) {
		#pmp-detail {
			--cdma-pmpFiltrosHeight: 60px;
		}
	}
	#pmp-detail .evolucion section {
		height: var(--cdma-pmpGraficaHeight);		
	}
	
	#pmp-detail .detalle section {
		overflow: hidden;
	}
	#pmp-detail div[id^="collapseTable"].collapse.show .row.detalle {
		z-index: 1;
		margin-top: calc((var(--cdma-pmpGraficaHeight) * -1)  - 20px);
	}
	#pmp-detail .row.detalle .datos {
		height: auto;
	}
	#pmp-detail div[id^="collapseTable"].collapse:not(.show) .row.detalle .datos {
		height: calc(var(--cdma-tableHeight) - 25px);
		height: var(--cdma-pmpDatosHeight);
		overflow: hidden;
	}
	#pmp-detail div[id^="collapseTable"].collapse.show .row.detalle .datos {
		padding-top: 5px;
		margin-top: calc(var(--cdma-pmpGraficaHeight) * -1);
		height: calc(var(--cdma-pmpHeight) - 50px);
		overflow: hidden;
	}
	#pmp-detail div[id^="collapseTable"].collapse.show .grafica {
		opacity: 0;
	}
	#pmp-detail .row.detalle .datos .tabla {
		overflow: hidden;
		overflow-y: auto;
	}
	#pmp-detail div[id^="collapseTable"].collapse:not(.show) .row.detalle .datos .tabla {
		max-height: var(--cdma-tableHeight);
	}
	#pmp-detail div[id^="collapseTable"].collapse.show .row.detalle .datos .tabla {
		max-height: calc(var(--cdma-pmpHeight) - 60px);
	}

	@media only screen and (min-height: 800px){
		#pmp-detail .evolucion section {
			height: calc(var(--cdma-pmpGraficaHeight) + .2vh);
		}
	}
	@media only screen and (min-height: 850px){
		#pmp-detail .evolucion section {
			height: calc(var(--cdma-pmpGraficaHeight) - .5vh);
		}
	}

	@media only screen and (min-height: 900px){
		#pmp-detail .evolucion section {
			height: calc(var(--cdma-pmpGraficaHeight) - 3vh);
		}
		
		#pmp-detail div[id^="collapseTable"].collapse.show .row.detalle,
		#pmp-detail div[id^="collapseTable"].collapse.show .row.detalle .datos {
			margin-top: calc((var(--cdma-pmpGraficaHeight) * -1)  + 20px);
		}
		#pmp-detail .datos {
			margin: .5vh 0;
		}
		#pmp-detail .datos h3 {
			font-size: 1.4rem;
			line-height: 1.8rem;
			margin: -25px 0 8px 0;
			height: auto;
		}
		#pmp-detail div[id^="collapseTable"].collapse.show .row.detalle .datos {
			min-height: calc(var(--cdma-tableHeight) - 20px);
		}
		
	}

	@media only screen and (min-height: 950px){
		
		#pmp-detail {
			--cdma-tableHeight: 235px;
		}
		#pmp-detail .row.contenedor.evolucion {
			padding-bottom: 8px;
		}
	}

	@media only screen and (min-height: 1000px){
		#pmp-detail .row.contenedor.detalle {
			padding-top: 1vh;
			padding-bottom: 1vh;
		}
		#pmp-detail .evolucion section {
			height: calc(var(--cdma-pmpGraficaHeight) - 4vh);
		}
		#pmp-detail div[id^="collapseTable"].collapse.show .row.detalle,
		#pmp-detail div[id^="collapseTable"].collapse.show .row.detalle .datos {
			margin-top: calc((var(--cdma-pmpGraficaHeight) * -1)  + 4vh);
		}
	}

	@media only screen and (min-height: 1050px){
		
		#pmp-detail .row.contenedor.detalle {
			padding-top: 1.5vh;
			padding-bottom: 1.5vh;
		}
		#pmp-detail .evolucion section {
			height: calc(var(--cdma-pmpGraficaHeight) - 5vh);
		}
	}
}

/* +1270px
***********************************************************************************************/
@media only screen and (min-width: 1270px) {
	@media only screen and (min-height: 768px){
		#pmp-detail {
		--cdma-pmpHeight: calc(100vh - 125px);
		}
		#pmp-detail div[id^="collapseTable"].collapse.show .row.detalle .datos {
			margin-top: calc((var(--cdma-pmpGraficaHeight) * -1) - 10px);
		}
	}
	@media only screen and (min-height: 900px){
		#pmp-detail .evolucion section {
			height: calc(var(--cdma-pmpGraficaHeight) - 3vh);
		}
		#pmp-detail div[id^="collapseTable"].collapse.show .row.detalle .datos {
			margin-top: calc((var(--cdma-pmpGraficaHeight) * -1) + 10px);
		}
	}

	@media only screen and (min-height: 950px){
		#pmp-detail .evolucion section {
			height: calc(var(--cdma-pmpGraficaHeight) - 3.5vh);
		}
		#pmp-detail div[id^="collapseTable"].collapse.show .row.detalle .datos {
			margin-top: calc((var(--cdma-pmpGraficaHeight) * -1) + 20px);
		}
	}

	@media only screen and (min-height: 1000px){
		#pmp-detail .evolucion section {
			height: calc(var(--cdma-pmpGraficaHeight) - 4.5vh);
		}
		#pmp-detail div[id^="collapseTable"].collapse.show .row.detalle .datos {
			margin-top: calc((var(--cdma-pmpGraficaHeight) * -1) + 30px);
		}
	}

	@media only screen and (min-height: 1050px){
		#pmp-detail .evolucion section {
			height: calc(var(--cdma-pmpGraficaHeight) - 7vh);
		}
		#pmp-detail div[id^="collapseTable"].collapse.show .row.detalle .datos {
			margin-top: calc((var(--cdma-pmpGraficaHeight) * -1) + 50px);
		}
	}
}
/* +1480px (1920px a 125%)
***********************************************************************************************/
@media only screen and (min-width: 1480px) and (max-width: 1550px) and (max-height: 870px) {
	#pmp-detail  {
		--cdma-pmpHeight: 83vh;
	}
}